Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataRowCollection

    java.lang.Object
      LumiSoft.Data.DataRowCollection

All Implemented Interfaces:
  java.lang.Iterable<DataRow>

    public class DataRowCollection

extends java.lang.Object
implements java.lang.Iterable<DataRow>

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`void` | `Add(DataRow row)` Add new DataRow to collection.
`DataRow` | `Add(java.lang.Object[] values)` Creates a row using specified values and adds it to the DataRowCollection.
`void` | `Clear()` Deletes all rows.
`DataRow` | `get(int index)` Gets the row at the specified index.
`int` | `getCount()` Gets the total number of rows in a collection.
`java.util.Iterator<DataRow>` | `iterator()` Gets iterator.
`void` | `Remove(DataRow row)` Removes the specified DataRow from the collection.
`void` | `Remove(int index)` Removes the row at the specified index from the collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public void Add(DataRow row)

  Add new DataRow to collection.

  Parameters:
    `row` -

### Add

    public DataRow Add(java.lang.Object[] values)

  Creates a row using specified values and adds it to the DataRowCollection.

  Parameters:
    `values` -
  Returns:

### Remove

    public void Remove(DataRow row)

  Removes the specified DataRow from the collection.

  Parameters:
    `row` -

### Remove

    public void Remove(int index)

  Removes the row at the specified index from the collection.

  Parameters:
    `index` -

### Clear

    public void Clear()

  Deletes all rows.

### get

    public DataRow get(int index)

  Gets the row at the specified index.

  Parameters:
    `index` -
  Returns:

### getCount

    public int getCount()

  Gets the total number of rows in a collection.

  Returns:

### iterator

    public java.util.Iterator<DataRow> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<DataRow>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD